crypto-api-0.8: A generic interface for cryptographic operations

Portability | portable
Stability | beta
Maintainer | Thomas.DuBuisson@gmail.com

Crypto.HMAC

Description

Synopsis

- hmac :: Hash c d => MacKey -> ByteString -> d
- hmac' :: Hash c d => MacKey -> ByteString -> d
- newtype MacKey = MacKey ByteString

# Documentation

hmac :: Hash c d => MacKey -> ByteString -> d

Message authentication code calculation for lazy bytestrings. `hmac k msg` will compute an authentication code for `msg` using key `k`

hmac' :: Hash c d => MacKey -> ByteString -> d

`hmac k msg` will compute an authentication code for `msg` using key `k`

newtype MacKey

Constructors

MacKey ByteString |

Instances

Eq MacKey |
Ord MacKey |
Show MacKey |